Subject: Re: [Q]Windows PATH is not working..
From: "S.B.(SangBum) LEE" <[email-masked]>
To: Pavel Tsekov <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Jan 2002 10:04:04 +0900

Is there anybody doing OK with Windows path? Cygwin documentation says:

Cygwin supports both Win32- and POSIX-style paths, where directory delimiters may be either forward or back slashes. UNC

pathnames (starting with two slashes and a network name) are also supported.

I have a collegue who has no problem with doing as below. However I can't find any of differences regarding installation

between me & him. That's why I raised this question.

Please let me know if you have anything you have in mind.. I have to develop a program using Windows path.

Pavel Tsekov wrote:

> Please, stick to posting to the list - I and many others
> read it.
>
> S.B.(SangBum) LEE wrote:
>
> > It didn't fix, as you see below..
> >
> > leesb@leesb-kr ~
> > $ c:\\WINNT\\system32\\notepad.exe
> > bash: c:\WINNT\system32\notepad.exe: command not found
> >
> > Pavel Tsekov wrote:
> >
> >
> >>S.B.(SangBum) LEE wrote:
> >>
> >>
> >>>Hi. cygwiners..
> >>>
> >>>I have installed cygwin(DLL version: 1.3.6) on Win 2K & met the following problem.
> >>>
> >>>
> >>>leesb@leesb-kr ~
> >>>$ which notepad
> >>>/cygdrive/c/WINNT/system32/notepad
> >>>
> >>>leesb@leesb-kr ~
> >>>$ cygpath -w /cygdrive/c/WINNT/system32/notepad
> >>>c:\WINNT\system32\notepad
> >>>
> >>>leesb@leesb-kr ~
> >>>$ c:\WINNT\system32\notepad
> >>>bash: c:WINNTsystem32notepad: command not found
> >>>
> >>>leesb@leesb-kr ~
> >>>$ c:\WINNT\system32\notepad.exe
> >>>bash: c:WINNTsystem32notepad.exe: command not found
> >>>
> >>The backslashes in you command line have to be escaped i.e.
> >>instead of typing just '\' you have to type '\\'. This is
> >>because the shell, I assume you're using bash, threats the
> >>'\' character in a special fashion.
> >>
> >>Maybe you have to read the FAQ and other docu available at
> >>cygwin.com. Just a friendly advise :)
> >>
> >>
> >>>leesb@leesb-kr ~
> >>>$ /cygdrive/c/WINNT/system32/notepad <-- in this case, it's working fine.
> >>>
> >>Yep - this is a absolute POSIX path, so no problems with it.
> >>

--
Thanks & Regards.

S.B.(Sangbum) Lee
==============================================
Support Analyst
ORACLE KOREA
+82.2.2194.8048(Office)
+82.11.9992.0529(Mobile)
==============================================

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/